Page MenuHomePhabricator

[clang][Darwin] Refactor header search path logic into the driver
ClosedPublic

Authored by ldionne on May 15 2019, 2:01 PM.

Details

Summary

This commit moves the logic for determining system, resource and C++
header search paths from CC1 to the driver. This refactor has already
been made for several platforms, but Darwin had been left behind.

This refactor tries to implement the previous search path logic with
perfect accuracy. In particular, the order of all include paths inside
CC1 and all paths that were skipped because nonexistent are conserved
after the refactor. This change was also tested against a code base
of significant size and revealed no problems.

Diff Detail

Repository
rC Clang

Event Timeline

ldionne created this revision.May 15 2019, 2:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 15 2019, 2:01 PM
ldionne updated this revision to Diff 200311.May 20 2019, 8:54 AM

Fix test that fails on systems that don't have /usr/include/c++.

ormris removed a subscriber: ormris.May 20 2019, 9:26 AM
jfb accepted this revision.May 21 2019, 10:17 AM
This revision is now accepted and ready to land.May 21 2019, 10:17 AM
This revision was automatically updated to reflect the committed changes.